O3DS on 7.2 questions about updating to 9.2

Discussion in '3DS - Homebrew Development and Emulators' started by lethalcrayonz, Apr 3, 2016.

  1. lethalcrayonz
    OP

    lethalcrayonz Advanced Member

    Newcomer
    62
    9
    Mar 15, 2016
    i have recent bought a o3ds it came with 7.2 and im wondering if i can update it too 9.2 easily. the browser in 7.2 seems to want to force an update to use it. so im wondering if i update via a gamecard will that still cause the update nag in the browser because i heard certain gamecarts install dummy browsers.

    My only access to homebrew would probably be browserhax (which is what i used on my n3ds)

    Any help would be greatly appreciated thanks.
     
  2. CloudCocopuffs

    CloudCocopuffs 3DS Homebrew Enthusiast

    Banned
    152
    84
    Mar 28, 2016
    If you get an update nag, try using the Tubehax DNS through system settings.
    (107.211.140.065)
     
  3. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    If it's wanting to force an update then chances are you already have a dummy browser.
     
  4. lethalcrayonz
    OP

    lethalcrayonz Advanced Member

    Newcomer
    62
    9
    Mar 15, 2016
    I will give this a try. thank you for the reply.

    Yeah thats what im thinking it is. i hope its not though. also would using a game such as tomodachi life install another dummy browser? Thank you for the reply.
     
  5. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    As far as I'm aware, no gamecart has a real browser in it. Only way you could get one would be by doing an internet update, which would take you to 10.7.

    Which, if you have OoT, actually wouldn't be a problem at all, since you could use your other 3DS to install oothax.
     
  6. lethalcrayonz
    OP

    lethalcrayonz Advanced Member

    Newcomer
    62
    9
    Mar 15, 2016
    I currently dont own OoT. trying to not actually downgrade this 3ds because dont want to risk it as its not for me. would oothax work on 7.2 so i can upgrade from there?
     
  7. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    It wouldn't. Even if it did, I believe that Ninjhax and its derivatives require the browser service to be present as part of its privilege escalation exploit.
     
  8. lethalcrayonz
    OP

    lethalcrayonz Advanced Member

    Newcomer
    62
    9
    Mar 15, 2016
    I know i can definitely get updated to 9.2 via gamecart if needed but ill still only have the dummy browser but i dont think oothax uses the browser exploits ill have too look into that first. if it does not then im set tbh cause the browser wont actually be needed in the sysnand anyway.

    But thank you for the help really hope i can get this too work without dowgrading,
     
  9. KaduPSE

    KaduPSE Revolution and cake

    Member
    235
    171
    Dec 26, 2015
    Brazil
    If you update via gamecart the browser and, as a consequence, browserhax won't work. Ninjhax and it's derivative *hax don't require the browser to work on sys >= 9.0, but for firms lower than that it will require the browser. So if you use a cart to go to 9.2 you could use OoThax, Ninjhax or Smash, yes.
     
    FenrirWolf likes this.
  10. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    oothax is a ninjhax derivative so I think it also requires the browser service, though I'm not 100% sure. But even then, downgrading is honestly not that risky these days. svchax/memchunkhax2.1 makes it much easier and, dare I say, more stable than it used to be.
     
  11. KaduPSE

    KaduPSE Revolution and cake

    Member
    235
    171
    Dec 26, 2015
    Brazil
    All *hax running from 9.0 or newer won't require the browser... And I don't think anyone made a OoThax payload for earlier system versions, OP could update the browser via .cia if he has an entrypoint and use a cart to update to 9.2
     
    FenrirWolf likes this.
  12. lethalcrayonz
    OP

    lethalcrayonz Advanced Member

    Newcomer
    62
    9
    Mar 15, 2016
    I have no problem with downgrading my own property but this 3ds wasnt bought with my money which is why im concerned. but im sure oothax doesnt load from the browser as the payload would be download and installed from my n3ds for the correct version and then the cart would work offline. i could be wrong tbh but i dont know
     
  13. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    Apparently oothax would work if you did manage to get the console on 9.2. So I suppose that route is indeed a possibility.
     
  14. lethalcrayonz
    OP

    lethalcrayonz Advanced Member

    Newcomer
    62
    9
    Mar 15, 2016
    Ill update using a friends tomodachi life which i believe updates to 9.2 then ill purchase oot and i should be fine. Thank you for the help its greatly appreciated.

    — Posts automatically merged - Please don't double post! —

    well if i update and try oothax and it doesnt work i havent really lost anything since i quite fancy the game myself. if get the console on 9.2 with homebrew from then its unlucky for my brother. but thanks for all replys its greatly appreciated. i never actually thought id get a reply so fast. guess i underestimated gba temp lol
     
  15. KaduPSE

    KaduPSE Revolution and cake

    Member
    235
    171
    Dec 26, 2015
    Brazil
    It will work as long as you are on 9.0 or superior, the browser is only needed for Ninjhax 1.x. You should check the database for which carts will have the update you want http://www.3dsdb.com/
     
  16. lethalcrayonz
    OP

    lethalcrayonz Advanced Member

    Newcomer
    62
    9
    Mar 15, 2016
    Sorry for all the questions but ive done a search by typing in '9.2' it comes up Tomodachi Life (Rev02) it says its eur. i know people who have the game but not sure how ill know if its the correct rev. anyway to find out or will all cartridges be the same?
     
  17. KaduPSE

    KaduPSE Revolution and cake

    Member
    235
    171
    Dec 26, 2015
    Brazil
    When you put it in the console it will tell you which update it will install, if it's not the one you want you can cancel it. As for knowing beforehand... I'm not sure, maybe using the serial code.
     
  18. lethalcrayonz
    OP

    lethalcrayonz Advanced Member

    Newcomer
    62
    9
    Mar 15, 2016
    Oh thats good to know. not too fussed to know before hand ill just try it. Thank you again for the help :)
     
    KaduPSE likes this.
  19. KaduPSE

    KaduPSE Revolution and cake

    Member
    235
    171
    Dec 26, 2015
    Brazil
    Glad to help :)
     
    lethalcrayonz likes this.